Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(31)

Issue 2758163003: Use string(StringPiece) instead of StringPiece::as_string(). (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
3 months, 1 week ago by Bence
Modified:
3 months, 1 week ago
Reviewers:
danakj, diannahu, xunjieli
CC:
chromium-reviews, cbentzel+watch_chromium.org, net-reviews_chromium.org, bnc+watch_chromium.org, jshin+watch_chromium.org, vmpstr+watch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Use string(StringPiece) instead of StringPiece::as_string(). Use std::string(base::StringPiece) instead of base::StringPiece::as_string(). This is the style of conversion preferred by std::string_view in C++17. This CL lands server change 150264836 by bnc. BUG=488484 Review-Url: https://codereview.chromium.org/2758163003 Cr-Commit-Position: refs/heads/master@{#458500} Committed: https://chromium.googlesource.com/chromium/src/+/222e8f3f3492186afed8bc8cc46b715ea97836c9

Patch Set 1 #

Patch Set 2 : Add StringPiece unittests. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+25 lines, -10 lines) Patch
M base/strings/string_piece.h View 1 chunk +3 lines, -0 lines 0 comments Download
M base/strings/string_piece_unittest.cc View 1 3 chunks +13 lines, -1 line 0 comments Download
M net/spdy/hpack/hpack_entry.cc View 1 chunk +3 lines, -3 lines 0 comments Download
M net/spdy/spdy_deframer_visitor.cc View 2 chunks +2 lines, -2 lines 0 comments Download
M net/spdy/spdy_framer.cc View 2 chunks +2 lines, -2 lines 0 comments Download
M net/spdy/spdy_framer_test.cc View 1 chunk +1 line, -1 line 0 comments Download
M net/spdy/spdy_header_block.cc View 1 chunk +1 line, -1 line 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 19 (10 generated)
Bence
diannahu: PTAL at net/. Thank you.
3 months, 1 week ago (2017-03-20 16:53:51 UTC) #6
diannahu
lgtm
3 months, 1 week ago (2017-03-20 17:49:59 UTC) #7
diannahu
On 2017/03/20 17:49:59, diannahu wrote: > lgtm net/* LGTM!
3 months, 1 week ago (2017-03-20 17:50:23 UTC) #8
Bence
danakj: PTAL. The context is that //net/spdy/ is shared with some internal code, which is ...
3 months, 1 week ago (2017-03-20 18:37:18 UTC) #10
danakj
LGTM
3 months, 1 week ago (2017-03-21 16:21:36 UTC) #11
Bence
xunjieli: please rubber stamp //net. Thank you.
3 months, 1 week ago (2017-03-21 16:22:22 UTC) #13
xunjieli
lgtm
3 months, 1 week ago (2017-03-21 16:35:03 UTC) #14
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2758163003/20001
3 months, 1 week ago (2017-03-21 16:42:11 UTC) #16
commit-bot: I haz the power
3 months, 1 week ago (2017-03-21 19:11:39 UTC) #19
Message was sent while issue was closed.
Committed patchset #2 (id:20001) as
https://chromium.googlesource.com/chromium/src/+/222e8f3f3492186afed8bc8cc46b...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cb946e318